{% load static from staticfiles %}
{% load crispy_forms_tags %}
<!DOCTYPE html>

<head>
  <title>Donasi Sekarang</title>
  {% include 'import.html' %}
  <link rel="stylesheet" href="{% static 'donation/css/form_donasi.css' %}">
  <script type="text/javascript" src="{% static 'donation/js/donation.js' %}"></script>
  <style>
    body {
      background-image: url("{% static 'crowdfunding/images/background-1.jpg' %}");
    }
  </style>
</head>

<body>
{% include 'navbar.html' %}
 <br>
  {% if user.is_authenticated %}
  <div id="panel" class="content content-authenticated">
    <div class="panel-yellow">
      <div class="text-center">
        <h3 class="display-4 form-title">{{ title }}</h3>
          <div class="blue-line"></div>
          <p> Silakan lengkapi data diri Anda untuk berdonasi </p>
      </div>
      {% csrf_token %}
      {{ donation_form | crispy }}
      <button id="donate_btn" class="btn btn-primary float-right"
              onclick="myVar = setTimeout(validateDonateForm, 5000)">KIRIM DONASI
      </button>
      <br><br>
      <div id="successCard" class="d-none card text-white bg-success">
        <div class="card-body">
          <b><span id="success" class="card-text text-center"></span></b>
        </div>
      </div>
      <div id="errorCard" class="d-none card text-white bg-danger">
        <div class="card-body">
          <b><span id="error" class="card-text text-center"></span></b>
        </div>
      </div>
    </div>
  </div>

  {% else %}
  <div id="panel" class="content">
    <div class="panel-yellow">
      <h4 class="text-center"> Anda belum login! </h4>
      <div class="text-center">
        <p> Silakan masuk menggunakan Google untuk dapat melakukan donasi pada program yang Anda inginkan </p>
        <a href="{% url 'social:begin' 'google-oauth2' %}"><img src="{% static 'others/google_button_normal.png' %}"></a>
        <div class="blue-line"></div>
        <p> Anda dapat pula langsung mendaftarkan diri dengan mengisi data diri Anda di bawah ini </p>
      </div>
      {% csrf_token %}
      {{ registration_form | crispy }}
      <button class="btn btn-primary float-right"
              onclick="validateRegistrationForm()">DAFTAR
      </button>
      <br><br><br>
      <div id="successCard" class="d-none card text-white bg-success">
        <div class="card-body">
          <b><span id="success" class="card-text text-center"></span></b>
        </div>
      </div>
      <div id="errorCard" class="d-none card text-white bg-danger">
        <div class="card-body">
          <b><span id="error" class="card-text text-center"></span></b>
        </div>
      </div>
    </div>
  </div>
  {% endif %}

</body>
